module.exports = mongoose => {
    var schema = mongoose.Schema(
        {
            name: {
                type: String,
                required: true
              },
              emoji: {
                type: String,
                required: true
              },
              beats: {
                type: [String],
                required: true
              },
              gameType: { type: mongoose.Schema.Types.ObjectId, ref: 'gameType' }
              
        }
    );
    
    schema.method("toJSON", function() {
        const { __v, _id, ...object } = this.toObject();
        object.id = _id;
        return object;
    });
    
    const Move = mongoose.model("move", schema);
    return Move;
    }