module.exports = app => {
    const connects = require("../controllers/connect.controller.js");
    var router = require("express").Router();

    // Create a new Player
    router.post("/", connects.createConnect);
    // Retrieve a single Player with id
    router.get("/:userUid", connects.findOneConnectUserUid);

    // Delete a Player with id
    router.delete("/:id", connects.deleteConnectById);

    app.use("/api/connect", router);
};
