module.exports = app => {
    const plays = require("../controllers/play.controller.js");
    var router = require("express").Router();
    
// Create a new Play
router.post("/", plays.createPlay);

// Retrieve all Plays
router.get("/", plays.findAllPlays);

// Delete all Plays
router.delete("/", plays.deleteAllPlays);

app.use("/api/plays", router);
};

