const dbConfig = require("../config/db.config.js");

const mongoose = require("mongoose");
mongoose.Promise = global.Promise;

const db = {};
db.mongoose = mongoose;
db.url = dbConfig.url;
db.games = require("./game.model.js")(mongoose);
db.players = require("./player.model.js")(mongoose);
db.moves = require("./move.model.js")(mongoose);
db.turns = require("./turn.model.js")(mongoose);
db.gameTypes = require("./gameType.model.js")(mongoose);
db.plays = require("./play.model.js")(mongoose);
db.connects = require("./connect.model.js")(mongoose);

module.exports = db;
