module.exports = app => {
    const router = require("express").Router();
    const axios = require("axios");

    router.post("/", async (req, res) => {
        const url = req.body.params.url;
        const textChallenge = req.body.params.text;

        console.log("url", req.body.params.url)
        console.log("text", req.body.params.text)
        try {
            const response = await axios.post(url,{ text: textChallenge });
            const data = response.data;
            res.json(data);
        } catch (error) {
            res.status(500).json({ error: 'An error occurred' });
        }
    });

    app.use("/api/challenge", router);
};
