module.exports = app => {
    const gameTypes = require("../controllers/gameType.controller.js");
    var router = require("express").Router();

    // Create a new GameType
    router.post("/", gameTypes.createGameType);

    // Retrieve all GameTypes
    router.get("/", gameTypes.findAllGameTypesByName);

    app.use("/api/gameTypes", router);
};