import { createApp } from 'vue'
import App from './App.vue'
import './registerServiceWorker'
import router from './router'
import { createPinia } from 'pinia';

// import './firebase'
// Import the functions you need from the SDKs you need
import { initializeApp } from "firebase/app";
// TODO: Add SDKs for Firebase products that you want to use
// https://firebase.google.com/docs/web/setup#available-libraries

// Your web app's Firebase configuration
const firebaseConfig = {
    apiKey: "AIzaSyBtF-8sqM02AAoih6I7TcWVY3Js7F7n7_g",
    authDomain: "rps-frontend-firebase-48465.firebaseapp.com",
    projectId: "rps-frontend-firebase",
    storageBucket: "rps-frontend-firebase.appspot.com",
    messagingSenderId: "989468238710",
    appId: "1:989468238710:web:a85f92b00468809d0e1057"
};

initializeApp(firebaseConfig);

// Font awesome
import { library } from '@fortawesome/fontawesome-svg-core'
import { FontAwesomeIcon } from '@fortawesome/vue-fontawesome'
import { faHand as farHand, faHandBackFist as farHandBackFist, faHandScissors as farHandScissors } from '@fortawesome/free-regular-svg-icons'
import { faUser, faHome, faMagnifyingGlass, faHand, faHandBackFist, faHandScissors } from '@fortawesome/free-solid-svg-icons'
library.add(faUser, faHome, faMagnifyingGlass, faHand, farHand, faHandBackFist, farHandBackFist, faHandScissors, farHandScissors)


// styles
import './styles/main.scss'

// createApp(App).use(router).mount('#app')
const app = createApp(App);
const pinia = createPinia();

app.use(pinia);
app.use(router);
app.component('font-awesome-icon', FontAwesomeIcon);
app.mount("#app");

