import gameTypeJson from "../data/gameTypes.json";
import api from "./rpsApp.ts";

export default {
    
    initGameMoves(name) {
        return api.initGameMoves(name);
    },
    getMoves() {
        return api.getMoves();
        // return moveJson;
    },
    getGameTypes() {
        // return api.getGameTypes();
        return gameTypeJson;
    },
    createGame(game) {
        return api.createGame(game);
    },
    createPlayer(player) {
        return api.createPlayer(player);
    },
    findOneGameById(id) {
         return api.findOneGameById(id);
    },
    getGamesByTitle() {
        return api.getGamesByTitle();
    },
    insertPlayerIntoGame(id, player) {
        return api.insertPlayerIntoGame(id, player);
    },
    createPlay(play) {
        return api.createPlay(play);
    },
    getPlays() {
        return api.getPlays();
    },
    sendChallenge(challenge) {
        return api.sendChallenge(challenge);
    },
    getCallback(authorizationQuery) {
        return api.getCallback(authorizationQuery);
    },
    createConnect(hooksSlack, userUid) {
        return api.createConnect(hooksSlack, userUid);
    },
    findOneConnectUserUid(userUid) {
        return api.findOneConnectUserUid(userUid);
    }
}
